#
# spec file for package python-softlayer
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-softlayer
Version:        5.4.3
Release:        lp151.2.2
Summary:        A set of Python libraries that assist in calling the SoftLayer API
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/softlayer/softlayer-python
Source:         https://github.com/softlayer/softlayer-python/archive/v%{version}.tar.gz
BuildRequires:  %{python_module click}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six >= 1.6.1}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-click
Requires:       python-requests
Requires:       python-setuptools
Requires:       python-six >= 1.6.1
%python_subpackages

%description
This library provides a simple Python client to interact with SoftLayer's XML-RPC API.

%prep
%setup -q -n softlayer-python-%{version}

%build
%python_build

%install
%python_install
# do not install tests
%python_expand rm -rf %{buildroot}%{$python_sitelib}/tests/
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%check
# Tests are self-importing and package needs to be installed
#%%python_exec -m pytest tests


%files %{python_files}
%license LICENSE
%{python_sitelib}/*
%python3_only %{_bindir}/sl
%python3_only %{_bindir}/slcli

%changelog
* Sun Apr 15 2018 tchvatal@suse.com
- Initial commit, needed by python-dns-lexicon
